escape_shell_command
| Rivet Tcl Commands and Variables |

## Name

escape_shell_command — escape shell metacharacters in a string.

## Synopsis

::rivet::escape_shell_command ?string?

## Description

Scans through each character in the specified string looking for any shell metacharacters, such as asterisk, less than and greater than, parens, square brackets, curly brackets, angle brackets, dollar signs, backslashes, semicolons, ampersands, vertical bars, etc.

For each metacharacter found, it is quoted in the result by prepending it with a backslash, returning the result.

escape_sgml_chars |  | escape_string